Bug 976919 - gnome-desktop-testing - a simple test runner for installed tests
gnome-desktop-testing - a simple test runner for installed tests
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 17:57 EDT by Matthias Clasen
Modified: 2013-07-12 14:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 14:08:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2013-06-21 17:57:57 EDT
gnome-desktop-testing is a simple test runner for installed tests.
See https://live.gnome.org/GnomeGoals/InstalledTests

SRPM: http://mclasen.fedorapeople.org/gnome-desktop-testing-2013.1-1.fc19.src.rpm
Spec: http://mclasen.fedorapeople.org/gnome-desktop-testing.spec
Comment 1 Michael Schwendt 2013-06-26 08:33:40 EDT
There's not much to review here, so only very minor issues.

The linked spec file is newer than what's included in the src.rpm. It removes the libtool archive.


$ rpmlint *
gnome-desktop-testing.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-desktop-testing-2013.1/COPYING
gnome-desktop-testing.x86_64: W: no-manual-page-for-binary gnome-desktop-testing-runner
gnome-desktop-testing-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/gnome-desktop-testing-2013.1/src/gnome-desktop-testing-runner.c


 =>
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

The exe-perm should be removed in upstream tarball release, too.


> Summary:        A test runner for installed tests

That's *very* generic. In this case it wouldn't hurt to mention the relationship to the GNOME project, e.g.

  Summary: GNOME's test runner for installed tests

Btw, typically, the leading articles (such as "A", "An", "The") don't look good in package tools or Anaconda.


* Who will own the default directory /usr/share/installed-tests? The individual packages that store .test files somewhere below that dir? Will there be dependencies on this package?

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership


All issues are no blockers and could be fixed in Fedora package git.

APPROVED
Comment 2 Matthias Clasen 2013-07-12 10:49:09 EDT
New Package SCM Request
=======================
Package Name: gnome-desktop-testing-runner
Short Description: GNOME test runner for installed tests
Owners: mclasen@redhat.com,walters@redhat.com
Branches: 
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-12 11:30:55 EDT
Review bug package name and SCM package name don't match.  Also, user FAS
names, not email addresses.
Comment 4 Matthias Clasen 2013-07-12 11:37:24 EDT
New Package SCM Request
=======================
Package Name: gnome-desktop-testing
Short Description: GNOME test runner for installed tests
Owners: mclasen walters
Branches: 
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-12 12:20:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.